package nckd.jxccl.hr.hstu.task;

import kd.bos.schedule.api.TaskInfo;
import kd.bos.schedule.form.AbstractTaskClick;
import kd.bos.schedule.form.event.ClickEventArgs;

/**
 * 生成评价对象异步任务事件
 * @author W.Y.C
 * @date 2025/7/1 16:59
 * @version 1.0
 */
public class CreateEvalQuestTaskClick extends AbstractTaskClick {


    @Override
    public void click(ClickEventArgs e) {
        // 1. 查询任务状态
        TaskInfo taskInfo = this.queryTask();

        if (taskInfo.isTaskEnd()) {
            System.out.println();
        }
    }

    @Override
    public boolean release() {
        return false;
    }
}
